Inventory History

View as Markdown

This documentation provides an overview and API request examples for getting product inventory history events from ShipBob.

Overview

ShipBob’s Inventory History API can be used to fetch various inventory movements that occur within the ShipBob Network.

An example of this is Warehouse Receiving Order (WRO) stow events as inventory is stowed at a fulfillment center. When stowing occurs, ShipBob’s On Hand quantity increases for that inventory item, and is considered ready to use for fulfillment.

This API can be used to capture inventory events such as stow events, spot checks, restock events, and more.

Request

Method: POST

Authorization: Bearer token, PAT generated from the ShipBob merchant dashboard.

Sandbox

  • Base url: https:/sandbox-api.shipbob.com/2026-01
  • Endpoint: /inventory/history:query

Production

  • Base url: https://api.shipbob.com/2026-01
  • Endpoint: /inventory/history:query
1{
2 "inventory_ids": [2543121], // optional
3 "facility_id": 25, // required
4 "event_category": "ReceivingStow",
5 "start_date": "2025-06-18", // optional - last 90 days as default/max
6 "end_date": null // optional
7}

Response

Response schema

1{
2 "data": [
3 {
4 "inventory_id": 2543121,
5 "event_category": "ReceivingStow",
6 "event_datetime": "2025-06-18T18:06:22.4716033",
7 "shipbob_order_id": null,
8 "merchant_user_id": 226071,
9 "primary_reference": {
10 "type": "WroAndBox",
11 "value": "115316 7"
12 },
13 "inventory_audit_event_id": 32204,
14 "increment": {
15 "facility_id": 25,
16 "quantity_change": 1,
17 "committed_quantity_change": 0,
18 "lot_number": null,
19 "expiration_date": null,
20 "sku": "awe-jui",
21 "location_id": 10010109,
22 "yuki_id": "01JY23GXR7CSS4D25G5SC84VD1",
23 "pack_description_id": "00000000000000000000000000",
24 "operational_stage": null,
25 "inventory_status": ""
26 },
27 "decrement": {
28 "facility_id": 25,
29 "quantity_change": -1,
30 "committed_quantity_change": 0,
31 "lot_number": null,
32 "expiration_date": null,
33 "sku": "awe-jui",
34 "location_id": 10010277,
35 "yuki_id": "01JXFHF4PQVVDW8AYVHXAVC7RM",
36 "pack_description_id": "00000000000000000000000000",
37 "operational_stage": null,
38 "inventory_status": ""
39 },
40 "additional_reference": []
41 }
42 ],
43 "next": "https://api.shipbob.com/2026-01/inventory/history:query?cursor=23456"
44}

Each inventory event will include an increment and decrement object. The increment object is the event at the facility’s destination shelf, which updates the on-hand quantity for that item in ShipBob. The decrement object will decrease the specified quantity at the facility found within the object. Note that for some event categories (such as InventoryAdjusted spot-check events), the decrement may be null when the event only results in an increase.

In addition, the event includes the primary_reference property. Based on the Event Categories being queried, the type field will contain a definition for the corresponding value field.

As an example, using the Event Category of “ReceivingStow” will return a type field of “WroAndBox”, and the value field will contain a combination of the WRO id and the box id. These two values will always be separated by a space.

As another example, using the Event Category of “OrderPicked” will return a type field of “OrderId” and a value field that will contain the ShipBob order id, in case it needs to be fetched in any subsequent steps within the integration workflow.

additional_reference

The additional_reference array contains supplementary key-value pairs that provide context specific to the event category. For InventoryAdjusted events originating from a spot check, this array will include the bin number, spot check reason ID, and spot check reason name.

InventoryAdjusted example response

1{
2 "data": [
3 {
4 "inventory_id": 20191223,
5 "event_category": "InventoryAdjusted",
6 "event_datetime": "2026-03-03T20:04:58.5399235",
7 "shipbob_order_id": null,
8 "primary_reference": {
9 "type": "SpotCheck",
10 "value": "3558156"
11 },
12 "inventory_audit_event_id": 414729326,
13 "increment": {
14 "facility_id": 193,
15 "quantity_change": 1,
16 "committed_quantity_change": 0,
17 "lot_number": null,
18 "expiration_date": null,
19 "sku": "AWT0004-001-00M",
20 "location_id": 19856450,
21 "yuki_id": "01K7SE727PKYD7AP6STM85PQKT",
22 "pack_description_id": "00000000000000000000000000",
23 "operational_stage": {
24 "id": 0,
25 "description": "Ready"
26 },
27 "inventory_status": "Available"
28 },
29 "decrement": null,
30 "additional_reference": [
31 {
32 "key": "binNumber",
33 "value": "P-01-A-230-A-029"
34 },
35 {
36 "key": "spotCheckReasonId",
37 "value": "8"
38 },
39 {
40 "key": "spotCheckReasonName",
41 "value": "Inventory Correction"
42 }
43 ]
44 }
45 ]
46}

For InventoryAdjusted spot check events, the primary_reference.type will be "SpotCheck" and the primary_reference.value will contain the spot check ID. The additional_reference array will contain the following keys:

KeyDescription
binNumberThe bin location where the spot check was performed.
spotCheckReasonIdThe numeric ID of the reason for the spot check adjustment.
spotCheckReasonNameThe human-readable name of the spot check reason.

The following spot check reason IDs and their corresponding names are supported:

spotCheckReasonIdspotCheckReasonName
1FC Damage
2Receiving Error
3Disposal
4Churn Client
5Packaging
6Inventory Correction
7Hub Recieving Error
8Item ID Change

Supported Event Categories

The following event categories can be sent via the POST request:

EventCategoryDescription
OrderPickedThis will return any picking event that occurs during the outbound fulfillment process.
InventoryAdjustedEvents that occur due to an inventory adjustment, including found inventory during spot-checks and setting on-hand quantities.
InventoryFacilityUpdatedEvents that occur when updating the facility of inventory locations.
AttributeUpdatedEvents that occur when updating inventory attributes.
InventoryReceivedEvents related to receiving new inventory, including returns.
InventoryRestockedEvents related to restocking previously picked inventory.
ReceivingStowThis will return stow events that occur from WROs which updates On Hand quantities.
KittingStowEvents related to stowing inventory during the kitting process, including legacy kitting operations.

Pagination

The response includes the field inventory_audit_event_id which can be used as a cursor.

Usage: Begin with an empty cursor. To fetch additional records, use the last inventory_audit_event_id as a query parameter in subsequent requests.

Example:

POST https://api.shipbob.com/2026-01/inventory/history:query?cursor=23456

This will return any records after (not including) the cursor value.